List operational exceptions
GET
/v1/organizations/{organizationId}/reports/exceptions
API key scope: reports:read.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Header Parameters
Section titled “Header Parameters”X-Request-Id
string
Optional client request id returned in structured errors.
Query Parameters
Section titled “Query Parameters”createdFrom
string format: date-time
createdTo
string format: date-time
productId
string
locationId
string
ownerId
string
channelId
string
status
string
Status filter. Supported values depend on report type.
operation
string
inventoryState
string
limit
number
cursor
string
Opaque id cursor returned by the previous report page.
Responses
Section titled “Responses”Operational exceptions report.
Media typeapplication/json
object
items
required
Array<object>
object
id
required
string
exceptionType
required
string
resourceType
required
string
resourceId
required
string format: uuid
status
required
string
productId
required
string format: uuid
productName
required
string
productSku
required
string
locationId
object
locationName
object
locationCode
object
ownerId
required
string format: uuid
ownerName
required
string
ownerCode
required
string
channelId
required
string format: uuid
channelName
required
string
channelCode
required
string
quantity
required
number
completedQuantity
required
number
pendingQuantity
required
number
message
required
string
occurredAt
required
string format: date-time
nextCursor
object
Example
{ "items": [ { "id": "inbound:99999999-9999-4999-8999-999999999999", "exceptionType": "inbound_pending", "resourceType": "inbound", "resourceId": "99999999-9999-4999-8999-999999999999", "status": "partiallyReceived", "productId": "22222222-2222-4222-8222-222222222222", "productName": "Black T-Shirt - Medium", "productSku": "TSHIRT-BLACK-M", "locationId": "33333333-3333-4333-8333-333333333333", "locationName": "Main Warehouse", "locationCode": "MAIN-WH", "ownerId": "dddddddd-dddd-4ddd-8ddd-dddddddddddd", "ownerName": "Consignment Partner", "ownerCode": "PARTNER", "channelId": "eeeeeeee-eeee-4eee-8eee-eeeeeeeeeeee", "channelName": "Marketplace", "channelCode": "MARKETPLACE", "quantity": 20, "completedQuantity": 12, "pendingQuantity": 8, "message": "Inbound is partiallyReceived with pending quantity.", "occurredAt": "2026-07-06T12:00:00.000Z" } ], "nextCursor": null}The organization has exhausted its monthly public API request quota.
The organization plan does not allow the requested action.
Media typeapplication/json
Example
{ "error": { "code": "PLAN_LIMIT_EXCEEDED", "message": "Plan limit exceeded for active_products", "requestId": "req_123", "details": { "entitlementKey": "active_products", "scope": "environment", "environment": "live", "configured": true, "limit": "100", "used": "100", "requested": "1", "currentPlan": { "code": "free", "version": 1 }, "requiredPlan": { "code": "starter", "version": 1, "requiresOverride": false } } }}